# Run agents life simulations estimate (by id)

`POST /agents/{id}/life/simulations/estimate` · Rivier · agents

- Scope: agents:write
- Graphql: Mutation.agentsLifeSimulationsEstimate
- Sdk: agents.lifeSimulations.estimate
- Cli: agents life simulations estimate

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/agents/{id}/life/simulations/estimate' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
